global function MapSelectInit

array<string> maps = []

int function rndint(int max) {
    if (max == 1)
        return 0;
    float roll = 1.0 * max * rand() / RAND_MAX;
    return roll.tointeger();
}

void function ChangeMap() {
    wait GAME_POSTMATCH_LENGTH - 1
    GameRules_ChangeMap(maps[rndint(maps.len())], GameRules_GetGameMode())
}

void function PostMatch() {
    thread ChangeMap()
}

void function MapSelectInit() {
    foreach (string map in split(GetConVarString("ms_map"), ","))
        maps.append(strip(map))
    AddCallback_GameStateEnter(eGameState.Postmatch, PostMatch)
}